如何指定当前python的版本

Python/PHP/Perl 开发与设计
回复
zengsun
帖子: 334
注册时间: 2005-05-17 14:45
送出感谢: 0
接收感谢: 0
联系:

如何指定当前python的版本

#1

帖子 zengsun » 2007-02-02 13:08

从 Edgy 升级到 Feisty了。但默认安装了python2.5,我现在主要用2.4的。
是否只要修改/usr/bin/python链接文件就可以?
下面是我当前的链接文件内容:
zengsun@sunlx:~$ ls -l /usr/bin/python
lrwxrwxrwx 1 root root 9 2007-02-01 15:52 /usr/bin/python -> python2.5

zengsun@sunlx:~$ ls -l /usr/X11R6/bin/python
lrwxrwxrwx 1 root root 9 2007-02-01 15:52 /usr/X11R6/bin/python -> python2.5
现在还是在学java!
头像
zhan
帖子: 1880
注册时间: 2005-08-15 0:04
来自: 南7技校
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 zhan » 2007-02-03 16:48

这样应该就行了,不过建议

sudo update-alternatives --config python 看看..
飞得高,飞得低,学习再学习,多少大秘密!
http://zhan.blog.ubuntu.org.cn
zengsun
帖子: 334
注册时间: 2005-05-17 14:45
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 zengsun » 2007-02-05 10:08

执行:
sudo update-alternatives --config python
的结果:
No alternatives for python.
现在还是在学java!
回复

回到 “Python/Php/Perl”